wordnet (1:3.0-36) unstable; urgency=medium

  [ Stuart Prescott ]
  * Team upload.
  * Drop use of Python 2 in building package (Closes: #938831).

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

 -- Stuart Prescott <stuart@debian.org>  Sat, 25 Jan 2020 22:43:44 +1100

wordnet (1:3.0-35) unstable; urgency=medium

  * Team upload.
  * debian/patches/01_tcltk8.6.patch: Switch to Tcl/Tk 8.6 from 8.5 since
    the latter is to be removed from Debian.
  * debian/patches/01_tcltk8.6.patch: Added -DUSE_INTERP_RESULT definition
    to enable the respective struct field deprecated in Tcl 8.6.
    Closes: #887867

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 21 Jan 2018 00:48:42 +0300

wordnet (1:3.0-34) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * stick to debhelper compat level 9 since >= 10 do not work with lex scripts
  * Standards-Version: 4.1.3
  * Drop old style menu file
  * All packages (including wordnet-sense-index, wordnet-grind) Priority: optional
  * Moved debian/upstream to debian/upstream/metadata
  * hardening=+all
  * Cleanup unused lintian overrides

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2018 14:10:01 +0100

wordnet (1:3.0-33) unstable; urgency=medium

  * Use dh-autoreconf
    Closes: #744680
  * Add missing Build-Depends: ghostscript

 -- Andreas Tille <tille@debian.org>  Thu, 17 Apr 2014 13:33:21 +0200

wordnet (1:3.0-32) unstable; urgency=medium

  * cme fix dpkg-control
  * Enable building with ruby default (2.0) - thanks for the patch to
    Antonio Terceiro <terceiro@debian.org>
    Closes: #733110
  * debian/copyright: DEP5
  * debian/changelog.old_dict-wn: removed
  * Remove redundant parts from long description
    Closes: #736371
  * Do not Build-Depend from imagemagick any more and simply provide the
    BMP version of goldendict icon in the debian/ dir
  * cdbs -> dh

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 13:59:14 +0100

wordnet (1:3.0-31) unstable; urgency=low

  * debian/control: Add needed Breaks/Replaces (thanks for the patch to
    Andreas Beckmann <anbe@debian.org>
    Closes: #709153
  * debian/rules: Use xz compression

 -- Andreas Tille <tille@debian.org>  Thu, 23 May 2013 08:46:48 +0200

wordnet (1:3.0-30) unstable; urgency=low

  * debian/patches/51_overflows.patch: DEP3 comments (thanks again to
    Anton Gladky for fixing this problem
  * debian/patches: refreshed all patches
  * debian/control:
     - Removed (outdated) URL from description where those metadata
       should not appear anyway
       Closes: #696356
     - deduplicated short descriptions
     - Standards-Version: 3.9.4 (no changes needed)
     - Debhelper 9
     - normalised using `cme fix dpkg-control`
  * Added wordnet.desktop and wn.png; install in wordnet-gui.install
    Closes: #708583
  * debian/{wordnet,wordnet-dev}.install: move libwordnet.so to -dev
    package

 -- Andreas Tille <tille@debian.org>  Fri, 17 May 2013 09:39:14 +0200

wordnet (1:3.0-29) unstable; urgency=low

  * Team upload.
  * Fix index processing error in morphstr() function.
    Closes: #700914

 -- Anton Gladky <gladk@debian.org>  Tue, 26 Feb 2013 20:40:25 +0100

wordnet (1:3.0-28) unstable; urgency=low

  * debian/dict-wn.post{inst,rm}: verify start script using
    "invoke-rc.d --query" first (thanks for the patch to
    Ryo IGARASHI <rigarash@gmail.com>)
    Closes: #675534, #673620
  * debian/control: Explicitly Build-Depends ruby1.8
  + debian/rules: Explicitly call ruby1.8 because there is some
    difference in handling of strings and bytes in ruby 1.8 and
    1.9 and the current script to build the goldendict package
    fails with ruby 1.9
    Closes: #676114

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jun 2012 13:27:27 +0200

wordnet (1:3.0-27) unstable; urgency=low

  * debian/watch: adapted to changed upstream website layout
  * debian/upstream: add citation
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - dict-wn: Only Recommends: dictd | dict-server
       Closes: #673620
  * debian/dict-wn.post{inst,rm}: Verify that init script really
    exists
    Closes: #607638

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2012 13:45:40 +0200

wordnet (1:3.0-26.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove build-dependency on gs-common (closes: #649712). It was unused
    since 1:3.0-4. Thanks to Didier Raboud for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 13 Dec 2011 22:07:21 +0100

wordnet (1:3.0-26) unstable; urgency=low

  * debian/patches/60_gcc-4.6.patch: Fix errors occuring when using gcc-4.6
    with -Werror=format-security
    Closes: #646500
  * Fixed Vcs fields
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2011 20:03:59 +0200

wordnet (1:3.0-25) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.2 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * Removed menu entry for plain wn
    Closes: #628073

 -- Andreas Tille <tille@debian.org>  Fri, 27 May 2011 09:35:01 +0200

wordnet (1:3.0-24) unstable; urgency=low

  * goldendict is built for all the architectures except arm, mips and s390:
    Debian's buildd servers don't have enough memory to build this package
    and this package isn't necessary to be built everywhere
    (Architecture: All). This is a temporary hack. closes: #595878.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 29 Nov 2010 20:04:57 +0300

wordnet (1:3.0-23) unstable; urgency=low

  * debian/rules: Fix bashism
    Closes: #581466
  * debian/control: Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 17 May 2010 11:48:45 +0200

wordnet (1:3.0-22) unstable; urgency=low

  * Disabled stderr buffering in script which building goldendict-wordnet
    package.
  * Each line in log has '\n' end symbol instead '\r', closes: #564385.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 13 Jan 2010 10:48:05 +0300

wordnet (1:3.0-21) unstable; urgency=low

  * Added icon into goldendict-wordnet dictionary.
  * Removed period from dictionary title.
  * Added progress output to fix FTBFS in a few slow buildds.
  * Modified patch 01_tcltk8.5.patch to fix FTBFS with amd64, closes: #549768.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 03 Dec 2009 16:35:22 +0300

wordnet (1:3.0-20) unstable; urgency=low

  [ Dmitry E. Oboukhov ]
  * Fixed debian/watch, closes: #556121.

  [ Andreas Tille ]
  * Applied patch from Vikas N Kumar <walburn@gmail.com> to dix
    a Memory crash in findtheinfo_ds() (Thanks to Vikas)
    Closes: #555928
  * Prevent parallel builds by using the .NOTPARALLEL option in
    global Makefile.in
    hopefully closes: #549768

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2009 13:51:50 +0100

wordnet (1:3.0-19) unstable; urgency=low

  * Added goldendict-wordnet package: it has been generated from
    wordnet database by script which was written specially for
    goldendict and other GUI dictionaries, closes: #555707.
  * Added myself to uploaders list, thanks for permissions
    to Andreas Tille.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 12 Nov 2009 21:55:25 +0300

wordnet (1:3.0-18) unstable; urgency=low

  * debian/patches/20_adj.all_fix.patch
    insert missing space in dictionary data
    Closes: #544866
  * Standards-Version: 3.8.3 (Added debian/README.source)
  * debian/patches/90_prevent_parallel_build.patch
    use .NOTPRALLEL directive in src/grind/Makefile.in as advised
    by Jakub Wilk <ubanus@users.sf.net> to prevent parallel builds
    and thus make sure Wordnet will be build successfully in any case
    Closes: #540491

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2009 15:35:14 +0200

wordnet (1:3.0-17) unstable; urgency=low

  * Standards-Version: 3.8.2 (no changes needed)
  * Build-Depend: automake (no specific version)
    The new automake seems to work well on amd64 and so it
    Closes: #529491
  * Bug #538369 was just a consequence of #529491 and
    so this is done as well
    Closes: #538369

 -- Andreas Tille <tille@debian.org>  Sat, 15 Aug 2009 17:43:59 +0200

wordnet (1:3.0-16) unstable; urgency=low

  * Split wnb gui to separate package to not have the extra
    tcl/tk dependency on plain wordnet package
    Closes: #525674
  * debian/control: wordnet: Depends wordnet-gui | artha
  * debian/wordnet.dirs: removed because unused
  * Debhelper version 7

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2009 08:27:26 +0200

wordnet (1:3.0-15) unstable; urgency=low

  * Fix usage of init scripts debian/dict-wn.{postinst,prerm}
    Closes: #522916
  * debian/patches/*: Add comments to all patches (and refresh patches)
  * debian/control: ${misc:Depends} for all packages
    - Standards-Version: 3.8.1 (no changes needed)
    - Do not duplicte Section field for wordnet, wordnet-grind, dict-wn
    - No dupllicated short descriptions
    - Added libxft-dev to Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 07 Apr 2009 22:58:07 +0200

wordnet (1:3.0-14) unstable; urgency=low

  * Removed redundant part from description
    Closes: #511590

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jan 2009 22:08:11 +0100

wordnet (1:3.0-13) unstable; urgency=low

  * Fix part of oCERT patch that breaks 'wordnet test -synsn'
    (Thanks to Rob Holland <rob@ocert.org> who did the patch and
    fixed the problem quickly)
    Closes: #497649

 -- Andreas Tille <tille@debian.org>  Mon, 08 Sep 2008 08:26:07 +0200

wordnet (1:2.1-4+etch2) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Update patch to fix regression bug that broke wordnet checks for
    synonyms, which was introduced by the security fix

 -- Steffen Joeris <white@debian.org>  Mon,  8 Sep 2008 11:49:32 +0000

wordnet (1:3.0-12) unstable; urgency=low

  * debian/wnb: Added command line arguments to wrapper (Thanks to
    Chung-chieh Shan <ccshan@post.harvard.edu>)
  * Incorporate security patches
    Closes: #497441

 -- Andreas Tille <tille@debian.org>  Tue, 02 Sep 2008 13:12:21 +0200

wordnet (1:3.0-11+lenny1) testing-security; urgency=high

  * Non-maintainer upload by the security team
  * Fix several overflows in the library
    Patch from oCERT audit

 -- Steffen Joeris <white@debian.org>  Sat, 30 Aug 2008 07:10:05 +0000

wordnet (1:2.1-4+etch1) stable-security; urgency=high

  * Non-maintainer upload by the security team
  * Fix several overflows in the library
    Patch from oCERT audit

 -- Steffen Joeris <white@debian.org>  Sat, 30 Aug 2008 07:28:34 +0000

wordnet (1:3.0-11) unstable; urgency=low

  * Group maintenance by Debian Science Team
  * Added myself as Uploaders
  * DM-Upload-Allowed: yes
  * Vcs fields
  * Wrapper for wnb
    Closes: #484568
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jun 2008 14:57:44 +0200

wordnet (1:3.0-10) unstable; urgency=high

  * Fix CVE-2008-2149: buffer overflows by limiting the length
    of the string in sprintf format string
    Closes: #481186
    Please note: The WordNet code contains several other occurences
    of potentially exploitable functions like strcpy()/strcat()/...
    and so even if there are no known exploits the code needs a
    full security audit.
  * Mentioned the potential security issues in README.Debian

 -- Andreas Tille <tille@debian.org>  Thu, 15 May 2008 14:20:57 +0200

wordnet (1:3.0-9) unstable; urgency=low

  * Fix loop issue when look up the hypernyms of "inhibit".  Thanks to
    Ben Haskell <ben@clarity.princeton.edu> who provided the patch.
    Closes: #478803
  * Switched from dpatch to quilt
  * Make use of dh_lintian (which required debhelper >= 6.0.7)
  * More fixes for man pages
  * debian/wordnet-sense-index.README.debian: Explain issues that
    might be ralated to building WordNet database from source via grind
    regarding sense index

 -- Andreas Tille <tille@debian.org>  Thu, 08 May 2008 10:20:36 +0200

wordnet (1:3.0-8) unstable; urgency=low

  * Build-Depends: tcl/tk8.5-dev (instead of tcl/tk8.4-dev)
  * debian/patches/01_tcltk8.5.dpatch: Change upstream source build
    stuff to use tcl/tk8.5 instead of tcl/tk8.4
  * debian/rules: s/8\.4/8\.5/g
  * Added Build-Depends: libxss-dev
  * Make sure you can build twice in a row (unpatch and manual deleting
    Makefiles in doc)

 -- Andreas Tille <tille@debian.org>  Sat, 03 May 2008 23:08:35 +0200

wordnet (1:3.0-7) unstable; urgency=low

  * New patch for wordnet_structures (Thanks to
    Sebastian Hagen <sebastian_hagen@memespace.net>)
  * Standards-Version 3.7.3 (no changes needed)
  * Removed Homepage tags from long descriptions
  * Provides: dictd-dictionary
    Closes: #466220

 -- Andreas Tille <tille@debian.org>  Tue, 12 Feb 2008 07:52:33 +0100

wordnet (1:3.0-6) unstable; urgency=low

  * Fixed watch file (Thanks to Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>)
    Closes: #449736
  * Fix WordNet version number in dict package
  * Fixed NAME sections of several man pages
  * Moved menu to Applications/Text
  * debian/control: Changed XCBS-Url to Homepage

 -- Andreas Tille <tille@debian.org>  Wed, 07 Nov 2007 11:40:28 +0100

wordnet (1:3.0-5) unstable; urgency=low

  * New wordnet-grind package at user request to enable users building
    their own dictionaries
    Closes: #440935
  * Made wordnet-sense-index priority extra instead of optional
  * Fixed manpage names in wnintro.1

 -- Andreas Tille <tille@debian.org>  Sat, 08 Sep 2007 19:00:53 +0200

wordnet (1:3.0-4) unstable; urgency=low

  * Switched from simple-patchsys to dpatch and really apply the
    intended patches.
  * Do not build all flavours of formats out of the man pages because
    they are not moved to the packages anyway and more importantly
    circumvent bug #435229 on s390 where ps2pdf fails

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2007 09:23:00 +0200

wordnet (1:3.0-3) unstable; urgency=low

  * Further enhancement of wordnet_structures (Thanks to upstream
    Sebastian Hagen <sebastian_hagen@memespace.net>)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jul 2007 08:34:10 +0200

wordnet (1:3.0-2) unstable; urgency=low

  * Added Build-Depends man-db
    Closes: #431129

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jul 2007 18:49:07 +0200

wordnet (1:3.0-1) unstable; urgency=low

  * New upstream version
    Closes: #357903, #426585
  * Removed debtags from debian/control
  * Added groff to Build-Depends to let man to html work and
    gs-common to Build-Depends to let ps2pdf work
  * Added autoconf, automake1.10 and libtool as well as
    bison to Build-Depends
  * Adapted debian/lintian.overrides to new version number of library
  * Fixed version of wordnet_structures.py (thanks once more to
    Sebastian Hagen <sebastian_hagen@memespace.net>)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jun 2007 23:32:31 +0200

wordnet (1:2.1-7) unstable; urgency=low

  * Additional fix for wordnet_structures.py that also enables
    antonyms in dict-wn package (thanks again to Sebastian Hagen
    <sebastian_hagen@memespace.net>)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Jun 2007 11:27:55 +0200

wordnet (1:2.1-6) unstable; urgency=low

  * Added wordnet_structures.py and enable dict-wn again
    (many thanks to Sebastian Hagen <sebastian_hagen@memespace.net>
     for the patch and the bug fixes)
  * Removed some DebTags from wordnet-senseindex package

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2007 07:12:19 +0200

wordnet (1:2.1-5) unstable; urgency=low

  * Fix -deria option (many thanks for the patch from  Ken Bloom
    <kbloom@gmail.com>)
    Closes: #414943
  * Fixed links in control file (thanks to Kjetil Kjernsmo <kjetilk@opera.com>)
    Closes: #401543
    Remark to the request inside the bug report saying:
      QueryData - would be nice to have packaged...
    I would be happy if somebody would go for it but I'm lacking
    both knowledge and need for this tool.

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2007 07:45:00 +0100

wordnet (1:2.1-4) unstable; urgency=low

  * Move README files into each package separately
    Closes: #394866

 -- Andreas Tille <tille@debian.org>  Wed,  8 Nov 2006 15:26:45 +0100

wordnet (1:2.1-3) unstable; urgency=low

  * Fixed string constant in src/stubs.c thanks to  Matthew Wilcox
    <matthew@wil.cx>
    Closes: #389415

 -- Andreas Tille <tille@debian.org>  Tue, 26 Sep 2006 14:44:25 +0200

wordnet (1:2.1-2) unstable; urgency=low

  * Standards-Version: 3.7.2  (No changes necessary)
  * Debhelper 5
  * removed dict-wn because wnfilter does not work
    with WordNet 2.1 format and there was no response
    from dict maintainers to fix this
    Closes: #357020
  * Fixed configure.ac to avoid linking to unneeded libraries
    (Thanks to Ben Asselstine <benasselstine@gmail.com>)
  * DebTagging using XB-Tag
  * Use (= ${binary/source:Version}) instead of (= ${Source-Version) to
    enable binary NMUs

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2006 09:17:07 +0200

wordnet (1:2.0g-14) unstable; urgency=low

  * Stupidly set target distribution to experimental
    in last upload - sorry for the noise
  * Now really fixes - no further changes
    Closes: #356403
    Closes: #348262
    Closes: #322862

 -- Andreas Tille <tille@debian.org>  Mon, 13 Mar 2006 10:18:12 +0100

wordnet (1:2.0g-13) experimental; urgency=low

  * debian/wnb: Added quotes (Thanks to Dmitry Potapov
    <Dmitry_P@list.ru>" for the patch)
    Closes: #356403
  * debian/dict-wn.postinst: use invoke-rc.d (Thanks to
    Lars Wirzenius <liw@iki.fi> for the patch)
    Closes: #348262
  * Fixed typo in entry for Saskatoon (Thanks to
    herbert@gondor.apana.org.au); sorry for the delay
    but the new WordNet version has massive problems with
    conversion to dict so I gave up waiting for the new
    version.
    Closes: #322862
  * man/wnpkgs.7: Removed irrelevant section that was by
    chance responsible for some formating problems.
  * debian/control:
    wordnet-base: Only Recommends (not Depends) to avoid
    unnecessary circular dependencies
    Versioned dependencies (= ${Source-Version}) to avoid
    conflicts with higher version in experimental
  * Standards-Version: 3.6.2 (no forther changes necessary)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Mar 2006 08:02:13 +0100

wordnet (2.1-1) experimental; urgency=low

  * New upstream version
    Closes: #330740, #322862
  * Switched to cdbs
  * New debian/watch
  * Standards-Version: 3.6.2  (No changes necessary)
  * removed wnb wrapper script that was just a workaround for #239991
  * wordnet-base: Recommends: wordnet to avoid circular dependencies
  * wordnet: Depends: wordnet-base (= ${Source-Version}), because other
    versions of wordnet-base would not work
  * wordnet-sense-index: Recommends: wordnet
  * The package goes to experimental first because the dict-wn package
    seems to have some problems.

 -- Andreas Tille <tille@debian.org>  Thu, 18 Aug 2005 09:19:07 +0200

wordnet (2.0g-12) unstable; urgency=low

  * Fix grammar error in "exude" example entry to make sure that
    WordNet does not suck
    Closes: #292295
  * Start description sysnopsis with lowercase letter
  * Changed rules to patch lexfiles in install target and unpatch
    these files at end of install target to avoid that dh_clean
    purges *.orig files

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jan 2005 19:50:28 +0100

wordnet (2.0g-11) unstable; urgency=low

  * Patch dictionary files at package build time using diff files
    in debian/patch.dict
  * Fixed typo in definition of 'teetotal'
    Closes: #282203

 -- Andreas Tille <tille@debian.org>  Mon, 22 Nov 2004 08:32:17 +0100

wordnet (2.0g-10) unstable; urgency=low

  * Build with dynamic library.  Thanks to
    Guillaume Rousse <rousse@ccr.jussieu.fr>
  * Renamed library from libwn to libwordnet to avoid name clash
    with libwn6.
    Closes: #280367

 -- Andreas Tille <tille@debian.org>  Tue,  9 Nov 2004 17:47:58 +0100

wordnet (2.0g-9) unstable; urgency=low

  * Fixed item about James I
    Closes: #273767
  * Included lexnames and frames.vrb into wordnet-sense-index package
    because it is needed for the Perl interface
    Closes: #271002
  * Moved cntlist to wordnet-sense-index package because one of the
    authors, Ben <ben@clarity.princeton.edu>, wrote:
       Even cntlist isn't used by the WN browser. (cntlist.rev is.)

 -- Andreas Tille <tille@debian.org>  Sun,  3 Oct 2004 09:50:52 +0200

wordnet (2.0g-8) unstable; urgency=low

  * Build wordnet-sense-index package
    Closes: #250456
  * Moved xpm pixmaps xbm bitmaps for menu to /usr/share/wordnet/pixmaps
  * Used separate /usr/share/doc/<pkgname> directories for each package

 -- Andreas Tille <tille@debian.org>  Tue,  1 Jun 2004 08:56:05 +0200

wordnet (2.0g-7) unstable; urgency=low

  * Fixes explanation of antonym.  This was raised up by
    Peter Palfrader <weasel@debian.org> and upstream
    George Miller <geo@CLARITY.PRINCETON.EDU> provided an
    enhanced explanation (thanks to both).
    Closes: #243645

 -- Andreas Tille <tille@debian.org>  Thu, 15 Apr 2004 09:15:09 +0200

wordnet (2.0g-6) unstable; urgency=low

  * Fixed grammar in package description
    Closes: #242113
  * Added comment to the wrapper introduced in the last upload
    which explains that it was no wordnet bug but it can be used as
    workaround to bug #239991.  Thus the wrapper will be removed
    once this bug is fixed.

 -- Andreas Tille <tille@debian.org>  Mon,  5 Apr 2004 08:54:22 +0200

wordnet (2.0g-5) unstable; urgency=low

  * Use wrapper script for wnb to unset locale settings because wnb
    is not localized but might cause crashes for some locales (at least
    zh_TW.UTF-8).
    Thanks for the hint to  Chung-chieh Shan <ccshan@post.harvard.edu>
    Closes: #238160
  * Added quotes around strings in debian/menu.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Mar 2004 08:24:16 +0100

wordnet (2.0g-4) unstable; urgency=low

  * Reenabled menu for wordnet which was lost because the dh_menu entry
    was removed for strange reasons
    closes: #229738

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jan 2004 12:11:11 +0100

wordnet (2.0g-3) unstable; urgency=low

  * Integrated dict-wn package build which saves Debian source mirrors
    a lot of space because doubling the source of this huge database
    can be avoided.
  * Applied patches from dict-wn package to the database
  * Added Build-Depends which are necessary for dict-wn: dictzip, dictfmt

 -- Andreas Tille <tille@debian.org>  Thu, 15 Jan 2004 23:32:40 +0100

wordnet (2.0g-2) unstable; urgency=low

  * Build-Depends flex
    closes: #225232

 -- Andreas Tille <tille@debian.org>  Sun, 28 Dec 2003 20:43:21 +0100

wordnet (2.0g-1) unstable; urgency=low

  * Build from upstream grind source which enables building database from
    plain ASCII source
  * Make use of dh_install
  * Removed automake dependency

 -- Andreas Tille <tille@debian.org>  Mon, 22 Dec 2003 22:49:42 +0100

wordnet (2.0-4) unstable; urgency=medium

  * The "I whished I would never have touched automake1.7 with its
    strange subsubversion dependencies" release
  * Rerun autogen.sh with automake 1.7.8 which changed comments and
    only comments in some automake generated stuff.  This hopefully
    closes: #215554
  * Set urgency to medium

 -- Andreas Tille <tille@debian.org>  Tue, 14 Oct 2003 08:15:35 +0200

wordnet (2.0-3) unstable; urgency=low

  * The "I wonder in which way automake helps building programs and why
    did I stupidly added automake stuff to this program" release
  * Rebuild using automake1.7 1.7.7 and added versioned Build-Depends
    closes: #215554
  * Standards-Version: 3.6.1.0
  * Improved clean Target of debian/rules to work more robust

 -- Andreas Tille <tille@debian.org>  Mon, 13 Oct 2003 14:28:47 +0200

wordnet (2.0-2) unstable; urgency=low

  * Fixed misspelling
    closes: #213502

 -- Andreas Tille <tille@debian.org>  Wed,  1 Oct 2003 07:48:59 +0200

wordnet (2.0-1) unstable; urgency=low

  * New upstream version
    closes: #137882

 -- Andreas Tille <tille@debian.org>  Sun, 10 Aug 2003 15:47:24 +0200

wordnet (1.7.1-7) unstable; urgency=low

  * Standards-Version: 3.6.0
  * Rebuild against automake-1.7.6 because some architectures failed to
    compile.
  * Used relevant automake files from new version.

 -- Andreas Tille <tille@debian.org>  Sun, 20 Jul 2003 19:04:10 +0200

wordnet (1.7.1-6) unstable; urgency=low

  * Because I just added automake stuff to upstream WordNet package
    a dpkg-source -x does not set the right permissions to these files.
    (Unfortunately my patches are ignored upstream several years.)
    I have no idea why it works on i386 but obviousely the permissions
    have to be fixed which is now done before .configure
    closes: #202176
    (At least I hope that it closes the bug because I'm on vacation
     and can not test - feel free to NMU.)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Jul 2003 17:21:35 +0200

wordnet (1.7.1-5) unstable; urgency=low

  * Removing man/Makefile from configure.in which was mentioned twice there
    (Thanks to Matt Kraai <kraai@alumni.cmu.edu> for the patch)
    closes: #200606

 -- Andreas Tille <tille@debian.org>  Sun, 20 Jul 2003 11:25:50 +0200

wordnet (1.7.1-4) unstable; urgency=low

  * Standards-Version: 3.5.10
  * Changed automake1.5 to automake1.7 in Build-Depends
  * debian/compat now stores debhelper compatibility version
  * Upstream URL now compatible to developers reference
    "6.3.2. Upstream home page"
  * Versioned Build-Depends: debhelper (>= 4)
  * Clean build directory after building package to save disk space
    on Building machine

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jun 2003 22:23:19 +0200

wordnet (1.7.1-3) unstable; urgency=low

  * Added automake1.5 to Build-Depends
    closes: #171869
  * Applied the patch of Matt Kraai <kraai@debian.org> which
    fixed #137121 in WordNet 1.7 again.  It's a shame that
    upstream silently ignores bug reports.

 -- Andreas Tille <tille@debian.org>  Thu,  5 Dec 2002 20:45:04 +0100

wordnet (1.7.1-2) unstable; urgency=low

  * Fixed package build process.
    closes: #171726

 -- Andreas Tille <tille@debian.org>  Wed,  4 Dec 2002 22:38:22 +0100

wordnet (1.7.1-1) unstable; urgency=low

  * New upstream version.
  * Make dependend from tcl/tk 8.4
  * Standards-Version: 3.5.
  * Realy removed wordnet-doc
  * Removed directories bin, lib and logs as well as *.o and *.a files inside
    the src directory from upstream source because they contain precompiled
    binary stuff which should not be contained in a source package.
  * Once removing stuff from the source I decided to remove the redundant
    and unused include directory
  * Now GUI executable goes to /usr/bin instead of /usr/X11R6/bin.

 -- Andreas Tille <tille@debian.org>  Tue,  3 Dec 2002 13:29:11 +0100

wordnet (1.7-7) unstable; urgency=low

  * Changed description
    closes: #145827
  * Absolute path for icon in menu entry
  * Removed WordNet doc because the authors said:

    There is nothing to prevent you from distributing the Five Papers,
    since it has been available on the web for many years.

    However, both Christiane Fellbaum and I wish you would not.  It was
    written 12 or 13 years ago and is now badly out of date. We fear it
    has become more misleading than helpful and we are taking it off of
    our site for that reason.


 -- Andreas Tille <tille@debian.org>  Tue, 29 Oct 2002 22:35:12 +0100

wordnet (1.7-6) unstable; urgency=low

  * fixes misspelling in senses database (Thanks to
    Matt Kraai <kraai@debian.org>)
    closes: #137121
  * Added
      XBCS-URL: http://www.cogsci.princeton.edu/
    to debian/control

 -- Andreas Tille <tille@debian.org>  Thu,  7 Mar 2002 09:35:28 +0100

wordnet (1.7-5) unstable; urgency=low

  * Corrected spelling bugs (Thanks to Matt Zimmerman <mdz@debian.org>)
    closes: #125504
    closes: #125505

 -- Andreas Tille <tille@debian.org>  Tue, 18 Dec 2001 12:35:28 +0100

wordnet (1.7-4) unstable; urgency=low

  * Fixed NAME section of manpages cntlist.5 and lexnames.5
    Closes: #119126
  * removed changelog-user-emacs-settings

 -- Andreas Tille <tille@debian.org>  Mon, 12 Nov 2001 10:57:05 +0100

wordnet (1.7-3) unstable; urgency=low

  * wordnet-base replaces wordnet < 1.7-2
    closes: #109876
  * wordnet-base conflicts wordnet < 1.7-2
    closes: #110166
  * added dh_clean to rules file

 -- Andreas Tille <tille@debian.org>  Mon, 27 Aug 2001 10:13:48 +0200

wordnet (1.7-2) unstable; urgency=low

  * don't include senseidx.5 into binary package (see README.Debian)
    move wndb.5 and other manpages in section 5 to wordnet-base package
    remove wninput.5 manpage because the tool described in this page
    is missing from the source upstream.
    This all ...
    closes: #103916
  * move manpages in section 3 to wordnet-dev package because they are
    development related
  * Standards-Version: 3.5.6
  * Added a micro-wn.xpm with size 32x27 for use in menu system

 -- Andreas Tille <tille@debian.org>  Wed, 22 Aug 2001 14:24:57 +0200

wordnet (1.7-1) unstable; urgency=low

  * New upstream version
  * as in version 1.6 index.sense is removed from the upstream source
    to save bandwidth and autoconf stuff is added

 -- Andreas Tille <tille@debian.org>  Sun, 01 Jul 2001 11:38:54 +0200

wordnet (1.6-16) unstable; urgency=low

  * recompiled against libxaw7-dev
  * recompiled against tcl/tk 8.3
  * Standards-Version: 3.5.2
  * fixed Maintainer e-mail in control file and several others
  * manpage for wishwn
  * conffile /etc/X11/app-defaults/XWordnet

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2001 14:03:13 +0200

wordnet (1.6-15) unstable; urgency=low

  * closes: #82735
    Corrected Build-Depends
    Thanks to Paul Slootman <paul@debian.org>

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jan 2001 09:52:31 +0100

wordnet (1.6-14) unstable; urgency=low

  * closes: #78052
    Thanks to Milan Hodoscek <milan@ala.cmm.ki.si>

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jan 2001 14:45:21 +0100

wordnet (1.6-13) unstable; urgency=low

  * closes: #74243

 -- Andreas Tille <tille@debian.org>  Wed, 22 Nov 2000 09:20:30 +0100

wordnet (1.6-12) unstable; urgency=low

  * closes: #67766
  * closes: #76819

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2000 14:46:40 +0100

wordnet (1.6-11) unstable; urgency=low

  * closes: #59271
  * closes: #59272
  * patched Makefile according to the suggestion of
    Kevin Dalley <kevind@rahul.net>
  * closes: #61622
    I decided to close the bug report because I can't reproduce the
    bug and the report does not contain enough information to track
    down the problem.
  * new GPG key

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2000 11:03:22 +0200

wordnet (1.6-10) frozen unstable; urgency=low

  * closes: #55607
    Corrected package description.  Please include this into
    the frozen release because the upstream maintainer asked for
    this change.
  * Included http://www.cogsci.princeton.edu/~wn/ in the
    package description
  * closes: #54456
    using Build-time dependencies

 -- Andreas Tille <tillea@rki.de>  Wed, 19 Jan 2000 07:26:28 +0100

wordnet (1.6-9) frozen unstable; urgency=low

  * closes: #52579

 -- Andreas Tille <tillea@rki.de>  Thu, 30 Dec 1999 09:48:41 +0100

wordnet (1.6-8) frozen unstable; urgency=low

  * closes: #50289
  * Policy 3.1.0.0
  * closes: #49758
  * switched to debhelper

 -- Andreas Tille <tillea@rki.de>  Tue, 23 Nov 1999 11:11:56 +0100

wordnet (1.6-7) frozen unstable; urgency=low

  * FHS
  * Policy 3.0.1.0
  * closes: #43009
    by applying a patch from David Engel <dlengel@home.com>

 -- Andreas Tille <tillea@rki.de>  Tue,  3 Aug 1999 11:36:17 +0000

wordnet (1.6-6) frozen unstable; urgency=low
  * Fixed Bug#39960
  * glibc2.1

 -- Andreas Tille <tille@physik.uni-halle.de>  Wed,  23 Jun 1999 19:03:42 +0000

wordnet (1.6-5) frozen unstable; urgency=low
  * Added FILES_TO_CLEAN = debian/files debian/substvars
    to rules file (Fixes Bug#30638)
  * recompiled against libc6_2.0.7v-1 to avoid upgrading problems
    from Hamm

 -- Andreas Tille <tille@physik.uni-halle.de>  Thu,  07 Jan 1999 9:57:42 +0000

wordnet (1.6-4) frozen unstable; urgency=low
  * Fixed bugs #28718, #28889 and #29545
    which requires full source upload because there were
    errors in wordnet_1.6.orig.tar.gz
  * deleted duplicate license file /usr/share/wordnet/wnres/license.txt
  * renamed /usr/doc/wordnet/LICENSE to Wordnet.lic to avoid
    lintian warning

 -- Andreas Tille <tille@physik.uni-halle.de>  Wed,  18 Nov 1998 16:21:42 +0200

wordnet (1.6-3.1) unstable; urgency=low

  * non-maintainer (binary-only) upload for Alpha
  * remove .deps directories in clean target, as these contain
    system-specific info.

 -- Paul Slootman <paul@debian.org>  Thu, 29 Oct 1998 20:58:03 +0100

wordnet (1.6-3) unstable; urgency=low
  * Fixed Bug#28443
  * applied bugfix search.c from official WordNet server
  * Corrected unusual source upload, i.e.
    - support wordnet_1.6.orig.tar.gz
    - doesn't contain dict/index.sense because it is not used by the
      searching programs and is 6M bytes long (why uploading such
      a big diff in every new package?)
    - Included my automake/autoconf stuff and one necessary minor
      patch to support this.  I sended it to the WordNet authors
      to include it in their package but they ignored my mail :-(.
      I decidedc to put it in the source package because it makes
      the life easier for non-Debian ports and building a source
      package (make dist) is so easy
    - contains the search.c bugfix

 -- Andreas Tille <tille@physik.uni-halle.de>  Mon,  26 Oct 1998 20:18:42 +0200

wordnet (1.6-2) unstable; urgency=low
  * Fixed Bug#15698, Bug#19006, Bug#19190, Bug#19430, Bug#19431, Bug#19432,
    Bug#20000
    (In dead these old Bugs were closed by 1.6-1 but I didn't noticed
     them when I was becoming a new maintainer.  Now the Bugs are
     closed)
  * Fixed Bug#23386 (added Conficts and Replaces wordnetbase field)
  * Fixed Bug#26332 (the same reason as #23386)
  * Fixed Bug#27427: renamed /usr/man/man1/wn.1 to wordnet.1
                     linked /usr/bin/wordnet to /usr/bin/wn to have the
		     executable the same name as the manpage
  * Package checked with lintian

 -- Andreas Tille <tille@physik.uni-halle.de>  Wed,  14 Oct 1998 10:18:42 +0200

wordnet (1.6-1) unstable; urgency=low

  * Wordnet 1.5 was orphaned.
    Because the old maintainer Ioannis Tambouras
    <ioannis@shell.flinet.com> departed the Debian project I decided to
    become the new maintainer.
  * I started from scratch with version 1.6.
  * added automake stuff to the original source
  * Patched wnconsts.h to define DEFAULTPATH and DEFAULTBIN via
    compile option rather than #define in this file
  * I decided to put it in text like spell programs an dictionaries
    (may be there should be a new dictionary section in Debian)
  * The file index.sense isn't shiped with the package because
    (cite from src/lib/wnutil.c)
        /* This file isn't used by the library and doesn't have to
	   be present.  No error is reported if the open fails. */
  * Furthermore I leaved out index.gloss from the package because
    after scanning the sources for this file I didn't found any reference
    to this file.  That's why I decided to save disk space.  Please
    report any problem which might be produced by the lack of this file.

 -- Andreas Tille <tille@physik.uni-halle.de>  Fri,  3 Apr 1998 22:18:42 +0200

wordnet (1.5-3) unstable; urgency=low

  * Added X11/app-defaults configuration
  * Divided original package into two parts. This is part 2
  * Corrected xwn interface, Bug#15605

 -- Ioannis Tambouras <ioannis@debian.org>  Thu,  4 Dec 1997 10:50:19 -0500

wordnet (1.5-2) unstable; urgency=low

  * added menu entry (for text and X11)
  * symlinked the missing xwordnet.1.gz  man page  to xwn.1.gz

 -- Ioannis Tambouras <ioannis@debian.org>  Mon, 10 Nov 1997 16:15:35 -0500

wordnet (1.5-1) unstable; urgency=low

  * File dict/index.sense, in wordNet's source package, was deleted because it
    is not used by the searching programs and is 6M bytes long.
  * File cntlist.fix.gz is a fix from wordNet to replace dict/cntlist .
    Due to its large size, about 1M bytes, the fix was applied to the
    upstream package directly; therefore, wordnet-1.5.orig.tar.gz already
    reflects this change. We want to avoid very large diffs .
  * Deleted pre-compiled binaries (and they were mannny) from .orig.tar.gz .
  * Major structural changes to three Makefiles. Now, debmake stays happy.
  * altered wngrep(1) to default to /usr/lib/wordnet/dict
  * Hardcoded cut(1) into src/lib/wngrep -- cut(1) is faster than awk(1).
  * Altered DEFAULTPATH in src/lib/wnconsts.h
  * Initial Release.

 -- Ioannis Tambouras <ioannis@debian.org>  Wed, 29 Oct 1997 23:56:21 -0500

